Skip to main content
GET
Search Services

Authorizations

X-API-Private-Key
string
header
required

Private API key for user-level authentication.

X-API-Public-Key
string
header
required

Public API key for user-level authentication.

Query Parameters

service_id
string

ID of the service

service_status
enum<string>

Current status of the service

Available options:
awaiting_fulfillment,
awaiting_manual_fulfillment,
awaiting_additional_fulfillment,
active,
canceled,
complete,
overdue,
paused
service_name
string

Name of the service

service_type
enum<string>

Type of the service

Available options:
datacenter,
isp,
residential,
mobile
service_protocol
enum<string>

Protocol of the service

Available options:
ipv4,
ipv6,
dual
service_quantity
integer

Quantity of the service

payment_method_id
integer

Payment method ID of the service

service_total
string

Total amount of the service

service_cycle
string

Service cycle (e.g., "1:month")

service_dispatch_datetime
string<date-time>

Datetime the service was dispatched

service_expiry_datetime
string<date-time>

Datetime the service will expire

service_image
string

URL of the service image

service_is_automatic_collection
boolean

If the service is set for automatic collection

service_is_pending_cancellation
boolean

If the service is pending cancellation

country_id
string

ISO Country Code (ISO 3166-1 alpha-2)

service_price_id
integer

Price ID of the service

product_id
integer

Product ID of the service

service_promotional_code
string

Promotional code of the service

service_subscription_id
integer

Subscription ID of the service

service_creation_datetime
string<date-time>

Datetime the service was created

service_last_update_datetime
string<date-time>

Datetime the service was last updated

proxies
boolean

If the proxies associated with the service should be returned

per_page
integer

Number of items per page for pagination

page
integer

Page number for pagination

sort_by
string

Key for sorting or random.

Response

200 - application/json

Successful Service search

Service search was successful.

data
object[]

Array of Service items matching the search criteria up to the limit of per_page paramater.

item_count
integer

Total number of Service items returned in the data field.

message
string

Status message for the search.

page
integer

Current page number of the search results returned.

per_page
integer

Number of Service items returned per page.

total_count
integer

Total of Service items that match the search filter.